#!/bin/sh
#Convert L1C Products to L2A
INPUTDIR=$1	#Top directory with a L1C Subirectory
#OUTPUTDIR=$3	#L2A directory

echo $PWD
echo $OLDPWD
echo $INPUTDIR
cd $INPUTDIR/L1C

if [ ! -d ../L2A ]; then
	mkdir ../L2A
fi

for f in $(find . -type f -name '*.zip')
do
	cd $INPUTDIR/L2A

	unzip ../L1C/$f
	DIRNAME=$(echo $f | cut -d "." -f1)
	echo $DIRNAME
	L2A_Process $DIRNAME.SAFE
	L2A=$(ls -d S2A_MSIL2A* -t |head -1)	
	L2A=$(echo $L2A | cut -d "." -f1)
	zip -r $L2A.zip $L2A.SAFE/
	break
	rm -r *.SAFE

	cd $INPUTDIR/L1C
done


